{ config, lib, pkgs, ... }:

let
  unstable = import <nixos-unstable> {};
in {

  environment.systemPackages = with pkgs; [
    gnumake
    go
    rustup
    shellcheck
    unstable.golangci-lint
    unstable.gopls
    unstable.rust-analyzer
    #unstable.esphome

    nodePackages.pyright
    (python39.withPackages(python-packages: with python-packages; [
      black
      pyyaml
      requests
      black
    ]))

    mariadb-client
    musl

    dbeaver
    emacs
    gitAndTools.delta
    ltrace
    parallel
    sops
    tig
    unstable.bazel

    openssl pkg-config nasm cmake zlib gcc binutils-unwrapped
  ];
}
